#!/usr/bin/python
# -*- coding:Utf-8 -*-

import SourceRcon

version = "v0.01"

def main ():
    es.ServerVar("messiah93_lib_internalrcon").set(version)
    es.makepublic("messiah93_lib_internalrcon")

def rcon (arg):
    serverRconInfos = getServersRconInfos()
    rconInstance = SourceRcon.SourceRcon(serverRconInfos["ip"], serverRconInfos["port"], serverRconInfos["rcon"], serverRconInfos["timeout"])
    try:
        rconResult = rconInstance.rcon(arg)
    except:
        rconResult = ""
    
    return rconResult

def getServersRconInfos ():
    ip = es.getString("ip")
    port = es.getInt("hostport")
    rcon = es.getString("rcon_password")
    timeout = 2.50
    
    return {"ip":ip, "port":port, "rcon":rcon, "timeout":timeout}